> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/ar/mward-almtwryn/api-docs/retrieve-current-user-account-details.md).

# استرجاع تفاصيل حساب المستخدم الحالي

تتيح لك هذه النقطة النهائية استرجاع تفاصيل حساب المستخدم المصادق عليه حاليًا.

## نقطة النهاية

```
GET /api/v1/account/
```

## المصادقة

تتطلب هذه النقطة النهاية المصادقة باستخدام رمز JWT.

## الطلب

لا تتطلب معلمات الطلب أي شيء.

## الاستجابة

```json
{
  "id": "user_id",
  "email": "user@example.com",
  "name": "اسم المستخدم"
}
```

## ملف المستخدم (معلومات موسعة)

للحصول على معلومات أكثر تفصيلاً عن ملف المستخدم، يمكنك استخدام:

```
GET /api/v1/me/
```

### استجابة موسعة

```json
{
  "id": "اسم المستخدم",
  "email": "user@example.com",
  "name": "اسم المستخدم",
  "user_onboarding_status": 7,
  "dev_onboarding_status": 3,
  "company_name": "شركة",
  "website": "https://example.com",
  "bio": "سيرة المستخدم",
  "team": [
    {
      "id": "team_id", 
      "name": "اسم الفريق", 
      "image_url": "url", 
      "role": "مدير"
    }
  ],
  "embed_quota": 10000,
  "current_usage": 500,
  "email_verified": true
}
```

## ردود الأخطاء

| رمز الحالة | الوصف                                                 |
| ---------- | ----------------------------------------------------- |
| 401        | غير مصرح - بيانات اعتماد المصادقة غير صحيحة أو مفقودة |
| 403        | محظور - ليس لدى المستخدم إذن للوصول إلى هذه المورد    |
| 500        | خطأ في الخادم الداخلي - حدث خطأ ما على الخادم         |

## مثال على الاستخدام

### استخدام cURL

```bash
curl -H "Authorization: Bearer YOUR_JWT_TOKEN" https://api.rememberizer.ai/api/v1/account/
```

### استخدام JavaScript

```javascript
const response = await fetch('https://api.rememberizer.ai/api/v1/account/', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_JWT_TOKEN'
  }
});
const data = await response.json();
console.log(data);
```

### استخدام بايثون

```python
import requests

headers = {"Authorization": "Bearer YOUR_JWT_TOKEN"}
response = requests.get("https://api.rememberizer.ai/api/v1/account/", headers=headers)
data = response.json()
print(data)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/ar/mward-almtwryn/api-docs/retrieve-current-user-account-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
